QGIS Application - Bug report #21425
DB Manager rename PostGIS column error
2019-02-28 01:48 PM - Topi Tjukanov

Status: Closed
Priority: High
Assignee: Alexander Bruy
Category: DB Manager

Affected QGIS version:3.6.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 29242

Description

With DB Manager in QGIS 3.6 when | try to rename a column through the DB Manager GUI (Table --> Edit table --> Edit column), it
seems that DB Manager is also trying to add a comment (I had the comment field empty) but with the old name:

So e.g. | tried to rename column field_2to long in table foo.bar
Here's the query that it tries to run:

COMMENT ON COLUMN foo.bar.field 2 is "

This is the error that it throws:

column "field_2" of relation "fool.bar" does not exist

So | guess a fix for this would be not to try to add a comment if the comment field is empty and also make the commented field to be the
new one.

Associated revisions

Revision 03abf0e4 - 2019-05-23 02:43 PM - Alexander Bruy

[db_manager] apply comment to the correct column when altering table
column (fix #21425)

Revision dc6780a8 - 2019-05-24 10:32 AM - Alexander Bruy

Merge pull request #10082 from alexbruy/postgis-comment

[db_manager] apply comment to the correct column when altering table column (fix #21425)

History

#1 - 2019-03-01 09:48 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Subject changed from DB Manager rename bug to DB Manager rename column error
- Priority changed from Normal to High

- Operating System deleted (Windows 10)

Does not happen in 3.4.5
#2 - 2019-03-01 09:48 PM - Giovanni Manghi

- Subject changed from DB Manager rename column error to DB Manager rename PostGIS column error
#3 - 2019-05-23 02:35 PM - Alexander Bruy
- Status changed from Open to In Progress

- Assignee set to Alexander Bruy

#4 - 2019-05-23 02:51 PM - Alexander Bruy
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/10082

#5 - 2019-05-24 10:32 AM - Alexander Bruy
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|03abf0e42b7cfd255c1dd3f4bb2de11306601641.
